BASIC_CONFIG = """
[main]
fips_mode={fips_mode}
log_auth_events={log_auth_events}

[radius_client]
host=127.0.0.1
secret=doyoupromisenottotell?
port=2812

[radius_server_auto]
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host=api-host.example.com
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
client=radius_client
port=1812
"""

CLOUD_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem

[cloud]
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
"""

AD_CLIENT_AND_LDAP_SERVER_AUTO_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[ad_client]
host=127.0.0.1
port=10389
service_account_username=adminer
service_account_password=password!
bind_dn=CN=adminer adminer,CN=Users,DC=bongos,DC=test
search_dn=CN=Users,DC=bongos,DC=test
transport=clear
auth_type=plain

[ldap_server_auto]
client=ad_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
failmode={failmode}
port=389
exempt_primary_bind=False
"""


AD_CLIENT_AND_RADIUS_SERVER_AUTO_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[ad_client]
host=127.0.0.1
port=10389
service_account_username=adminer
service_account_password=password!
bind_dn=CN=adminer adminer,CN=Users,DC=bongos,DC=test
search_dn=CN=Users,DC=bongos,DC=test
transport=clear
auth_type=plain

[radius_server_auto]
client=ad_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1812
"""

RADIUS_SERVER_DUO_ONLY_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[radius_server_duo_only]
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1812
"""

RADIUS_SERVER_CONCAT_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[duo_only_client]

[radius_server_concat]
client=duo_only_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1812
"""

RADIUS_SERVER_CHALLENGE_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[duo_only_client]

[radius_server_challenge]
client=duo_only_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1812
"""

RADIUS_SERVER_IFRAME_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem
fips_mode={fips_mode}

[duo_only_client]

[radius_server_iframe]
client=duo_only_client
type=f5
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host={api_host}
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1812
"""

GOOD_CONNECTIVITY_CONFIG = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem

[duo_only_client]

[ldap_server_auto]
client=ad_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host=localhost
failmode={failmode}
port=389
exempt_primary_bind=False

[ad_client]
host=127.0.0.1
port=10389
service_account_username=adminer
service_account_password=password!
bind_dn=CN=adminer adminer,CN=Users,DC=bongos,DC=test
search_dn=CN=Users,DC=bongos,DC=test
transport=clear
auth_type=plain

[radius_server_auto]
client=duo_only_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host=localhost
radius_ip_1=127.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1813
"""

BAD_CONNECTIVITY_CONFIG = """
[ldap_server_auto]
client=ad_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host=someunreachablehost
failmode={failmode}
port=389
exempt_primary_bind=False

[ad_client]
host=127.0.0.1
port=10389
service_account_username=adminer
service_account_password=password!
bind_dn=CN=adminer adminer,CN=Users,DC=bongos,DC=test
search_dn=CN=Users,DC=bongos,DC=test
transport=clear
auth_type=plain

[radius_server_auto]
client=ad_client
ikey=DITHISISNOTAREALIKEY
skey=badskeythatstillmanagestopassallthetests
api_host=localhost
radius_ip_1=10.0.0.1
radius_secret_1=s3cr3t
failmode={failmode}
port=1813
"""

CONFIG_WITH_ERRORS = """
[main]
debug=True
http_ca_certs_file=fakeduo-rootca.pem

[ad_client]
service_account_username=
service_account_password=
search_dn=
host=

[radius_server_auto]
ikey=
skey=
api_host=
radius_ip_1=
radius_secret_1=
failmode={failmode}
client=ad_client
port=1812
"""

FRIENDLY_NAMED_CONFIGS = {
    'basic config': BASIC_CONFIG,
    'cloud config': CLOUD_CONFIG,
    'ad_client and ldap_server_auto config': AD_CLIENT_AND_LDAP_SERVER_AUTO_CONFIG,
    'ad_client and radius_server_auto config': AD_CLIENT_AND_RADIUS_SERVER_AUTO_CONFIG,
    'radius_server_duo_only config': RADIUS_SERVER_DUO_ONLY_CONFIG,
    'radius_server_concat config': RADIUS_SERVER_CONCAT_CONFIG,
    'radius_server_challenge config': RADIUS_SERVER_CHALLENGE_CONFIG,
    'radius_server_iframe config': RADIUS_SERVER_IFRAME_CONFIG,
    'good connectivity config': GOOD_CONNECTIVITY_CONFIG,
    'connectivity config with errors': CONFIG_WITH_ERRORS,
    'connectivity config with connectivity problems': BAD_CONNECTIVITY_CONFIG,
}


def get(selected_config="basic config", api_host="localhost", failmode="safe", fips_mode="False", log_auth_events="False"):
    return FRIENDLY_NAMED_CONFIGS[selected_config].format(api_host=api_host, failmode=failmode, fips_mode=fips_mode, log_auth_events=log_auth_events)
