Feature: Two Factor Authentication
  Scenario: AD client with AD for primary auth
    Given the authproxy is started with a ad_client and ldap_server_auto config
    When an ldap client authentication request is initiated for Fred Person
    Then in the authproxy logs we should see "Got preauth result for fred: u'allow'"
    And in the authproxy logs we should see "Logging you in automatically..."

  Scenario: RADIUS client with AD for primary auth
    Given the authproxy is started with a ad_client and radius_server_auto config
    When a radius client authentication request is initiated for fred
    Then in the authproxy logs we should see "Got preauth result for: u'allow'"
    And in the authproxy logs we should see "Returning response code 2: AccessAccept"

  Scenario: FIPS AD client with AD for primary auth
    Given a config with fips mode enabled
    And the authproxy is started with a ad_client and ldap_server_auto config
    When an ldap client authentication request is initiated for Fred Person
    Then in the authproxy logs we should see "FIPS mode 1 is enabled with OpenSSL"
    And in the authproxy logs we should see "Got preauth result for fred: u'allow'"
    And in the authproxy logs we should see "Logging you in automatically..."

  Scenario: RADIUS client with AD for primary auth
    Given a config with fips mode enabled
    And the authproxy is started with a ad_client and radius_server_auto config
    When a radius client authentication request is initiated for fred
    Then in the authproxy logs we should see "FIPS mode 1 is enabled with OpenSSL"
    And in the authproxy logs we should see "Got preauth result for: u'allow'"
    And in the authproxy logs we should see "Returning response code 2: AccessAccept"
