# pylint: disable=W0613,E0102,E0611
# flake8: noqa: F811

from test.features.fixtures import configs
from behave import given, when


@given('a good connectivity config exists')
def step_def(context):
    config = configs.get('good connectivity config')
    context.installer.write_config(config)


@given('a config with errors exists')
def step_def(context):
    config = configs.get('connectivity config with errors')
    context.installer.write_config(config)


@given('a config with connectivity problems exists')
def step_def(context):
    config = configs.get('connectivity config with connectivity problems')
    context.installer.write_config(config)


@when('the connectivity tool is run')
def step_def(context):
    context.installer.run_connectivity_tool()
