Feature: Authproxy Connectivity Tool
  Scenario: A good config
    Given a good connectivity config exists
    When the connectivity tool is run
    Then in the connectivity tool logs we should see "The LDAP Server has no connectivity problems"
    And in the connectivity tool logs we should see "The RADIUS Server has no connectivity problems"
    And in the connectivity tool logs we should see "There are no configuration problems"

  Scenario: A config with errors
    Given a config with errors exists
    When the connectivity tool is run
    Then in the connectivity tool logs we should see "Checks for external connectivity were not run. Please fix the configuration and try again."
    And in the connectivity tool logs we should see "Configuration validation was not successful"

  Scenario: A config with connectivity problems
    Given a config with connectivity problems exists
    When the connectivity tool is run
    Then in the connectivity tool logs we should see "The RADIUS Server has connectivity problems"
    And in the connectivity tool logs we should see "The LDAP Server has connectivity problems"
