Feature: Launching the Auth Proxy
  Scenario: FIPS mode is disabled by default
    Given the authproxy is started with a basic config
    Then in the authproxy logs we should see "Init Complete"
    And in the authproxy logs we should see "FIPS mode is not enabled"
    And in the connectivity tool logs we should see "There are no configuration problems"

  Scenario: In FIPS mode
    Given a config with fips mode enabled
    And the authproxy is started with a basic config
    Then in the authproxy logs we should see "Init Complete"
    And in the authproxy logs we should see "FIPS mode 1 is enabled with OpenSSL 1.0.2o-fips"

  Scenario: Logging auth events is disabled by default
    Given the authproxy is started with a basic config
    Then the auth events log should be not created

  @remove_auth_events_log
  Scenario: Logging auth events is enabled
    Given a config with logging auth events enabled
    And the authproxy is started with a basic config
    Then the auth events log should be created
